/*  ASIOWmpPlg Windows Media Player Plugin
    Copyright (C) Lev Minkovsky
    
    This file is part of ASIOWmpPlg.

    ASIOWmpPlg is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    ASIOWmpPlg is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with ASIOWmpPlg; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include "stdafx.h"
#include "WmpStateMonitorPlugin.h"

void CWmpStateMonitorPlugin::OpenStateChange( long NewState )
{
}

void CWmpStateMonitorPlugin::PlayStateChange( long NewState )
{
    const char * eventNames[] = {
        "WMP Stop Detection Event",
        "WMP Run Detection Event",
        "WMP Pause Detection Event",
    };

    int index = -1;

    switch (NewState)
    {
    case wmppsStopped: 
        index = 0;
        break;
    case wmppsPlaying:
        index = 1;
        break;
    case wmppsPaused:
        index = 2;
        break;
    }

    if (index >= 0)
    {
        HANDLE hEvent = CreateEvent(NULL,FALSE,FALSE,eventNames[index]);
        SetEvent(hEvent );
        CloseHandle(hEvent);
    }
}

void CWmpStateMonitorPlugin::AudioLanguageChange( long LangID )
{
}

void CWmpStateMonitorPlugin::StatusChange()
{
}

void CWmpStateMonitorPlugin::ScriptCommand( BSTR scType, BSTR Param )
{
}

void CWmpStateMonitorPlugin::NewStream()
{
}

void CWmpStateMonitorPlugin::Disconnect( long Result )
{
}

void CWmpStateMonitorPlugin::Buffering( VARIANT_BOOL Start )
{
}

void CWmpStateMonitorPlugin::Error()
{
    CComPtr<IWMPError>      spError;
    CComPtr<IWMPErrorItem>  spErrorItem;
    HRESULT                 dwError = S_OK;
    HRESULT                 hr = S_OK;

    if (m_spCore)
    {
        hr = m_spCore->get_error(&spError);

        if (SUCCEEDED(hr))
        {
            hr = spError->get_item(0, &spErrorItem);
        }

        if (SUCCEEDED(hr))
        {
            hr = spErrorItem->get_errorCode( (long *) &dwError );
        }
    }
}

void CWmpStateMonitorPlugin::Warning( long WarningType, long Param, BSTR Description )
{
}

void CWmpStateMonitorPlugin::EndOfStream( long Result )
{
}

void CWmpStateMonitorPlugin::PositionChange( double oldPosition, double newPosition)
{
}

void CWmpStateMonitorPlugin::MarkerHit( long MarkerNum )
{
}

void CWmpStateMonitorPlugin::DurationUnitChange( long NewDurationUnit )
{
}

void CWmpStateMonitorPlugin::CdromMediaChange( long CdromNum )
{
}

void CWmpStateMonitorPlugin::PlaylistChange( IDispatch * Playlist, WMPPlaylistChangeEventType change )
{
}

void CWmpStateMonitorPlugin::CurrentPlaylistChange( WMPPlaylistChangeEventType change )
{
}

void CWmpStateMonitorPlugin::CurrentPlaylistItemAvailable( BSTR bstrItemName )
{
}

void CWmpStateMonitorPlugin::MediaChange( IDispatch * Item )
{
}

void CWmpStateMonitorPlugin::CurrentMediaItemAvailable( BSTR bstrItemName )
{
}

void CWmpStateMonitorPlugin::CurrentItemChange( IDispatch *pdispMedia)
{
}

void CWmpStateMonitorPlugin::MediaCollectionChange()
{
}

void CWmpStateMonitorPlugin::MediaCollectionAttributeStringAdded( BSTR bstrAttribName,  BSTR bstrAttribVal )
{
}

void CWmpStateMonitorPlugin::MediaCollectionAttributeStringRemoved( BSTR bstrAttribName,  BSTR bstrAttribVal )
{
}

void CWmpStateMonitorPlugin::MediaCollectionAttributeStringChanged( BSTR bstrAttribName, BSTR bstrOldAttribVal, BSTR bstrNewAttribVal)
{
}

void CWmpStateMonitorPlugin::PlaylistCollectionChange()
{
}

void CWmpStateMonitorPlugin::PlaylistCollectionPlaylistAdded( BSTR bstrPlaylistName)
{
}

void CWmpStateMonitorPlugin::PlaylistCollectionPlaylistRemoved( BSTR bstrPlaylistName)
{
}

void CWmpStateMonitorPlugin::PlaylistCollectionPlaylistSetAsDeleted( BSTR bstrPlaylistName, VARIANT_BOOL varfIsDeleted)
{
}

void CWmpStateMonitorPlugin::ModeChange( BSTR ModeName, VARIANT_BOOL NewValue)
{
}

void CWmpStateMonitorPlugin::MediaError( IDispatch * pMediaObject)
{
}

void CWmpStateMonitorPlugin::OpenPlaylistSwitch( IDispatch *pItem )
{
}

void CWmpStateMonitorPlugin::DomainChange( BSTR strDomain)
{
}

void CWmpStateMonitorPlugin::SwitchedToPlayerApplication()
{
}

void CWmpStateMonitorPlugin::SwitchedToControl()
{
}

void CWmpStateMonitorPlugin::PlayerDockedStateChange()
{
}

void CWmpStateMonitorPlugin::PlayerReconnect()
{
}

void CWmpStateMonitorPlugin::Click( short nButton, short nShiftState, long fX, long fY )
{
}

void CWmpStateMonitorPlugin::DoubleClick( short nButton, short nShiftState, long fX, long fY )
{
}

void CWmpStateMonitorPlugin::KeyDown( short nKeyCode, short nShiftState )
{
}

void CWmpStateMonitorPlugin::KeyPress( short nKeyAscii )
{
}

void CWmpStateMonitorPlugin::KeyUp( short nKeyCode, short nShiftState )
{
}

void CWmpStateMonitorPlugin::MouseDown( short nButton, short nShiftState, long fX, long fY )
{
}

void CWmpStateMonitorPlugin::MouseMove( short nButton, short nShiftState, long fX, long fY )
{
}

void CWmpStateMonitorPlugin::MouseUp( short nButton, short nShiftState, long fX, long fY )
{
}
